当前位置: 网站首页>网站建设>网络推广

永春设计网页公司

发表日期: 2022-07-04 10:01:01 浏览次数:13

永春设计网页公司

网站建设.png

更换网站空间的方法:
1、先购买个一个空间(虚拟主机),空间都有一个ip地址。比如:119.118.150.22
2、对空间进行域名绑定,一般购买空间的时候,域名是要直接输入的。这样就自动绑定了。如果购买时没有直接绑定,可以到空间管理面板进行绑定域名操作。或者把域名告诉空间商让其代为操作。
3、通过ftp将网站程序从老的空间上下载到本地电脑中。
4、通过ftp将网站程序上传到新的空间上。
5、登录域名管理平台进行域名解析,把域名解析A记录值改为新空间的ip(119.118.150.22)。
6、等待域名解析生效后,网站就可以正常访问了。一般域名解析生效需要2-6个小时。

在这里需要提醒大家注意的是,要先把网站程序上传到新空间上后,再修改域名解析。这样网站访问就不会出现间断。



程序将只针对对应的 try 子句中的异常进行处理,而不是其他的 try 的处理程序中的异常。


一个except子句可以同时处理多个异常,这些异常将被放在一个括号里成为一个元组,例如:


except (RuntimeError, TypeError, NameError):

    pass

最后一个except子句可以忽略异常的名称,它将被当作通配符使用。你可以使用这种方法打印一个错误信息,然后再次把异常抛出。


import sys


try:

    f = open('myfile.txt')

    s = f.readline()

    i = int(s.strip())

except OSError as err:

    print("OS error: {0}".format(err))

except ValueError:

    print("Could not convert data to an integer.")

except:

    print("Unexpected error:", sys.exc_info()[0])

    raise

try/except...else

try/except 语句还有一个可选的 else 子句,如果使用这个子句,那么必须放在所有的 except 子句之后。


else 子句将在 try 子句没有发生任何异常的时候执行。




以下实例在 try 语句中判断文件是否可以打开,如果打开文件时正常的没有发生异常则执行 else 部分的语句,读取文件内容:


for arg in sys.argv[1:]:

    try:

        f = open(arg, 'r')

    except IOError:

        print('cannot open', arg)

    else:

        print(arg, 'has', len(f.readlines()), 'lines')

        f.close()

使用 else 子句比把所有的语句都放在 try 子句里面要好,这样可以避免一些意想不到,而 except 又无法捕获的异常。


异常处理并不仅仅处理那些直接发生在 try 子句中的异常,而且还能处理子句中调用的函数(甚至间接调用的函数)里抛出的异常。例如:


>>> def this_fails():

        x = 1/0

   

>>> try:

        this_fails()

    except ZeroDivisionError as err:

        print('Handling run-time error:', err)

   

Handling run-time error: int division or modulo by zero

try-finally 语句

try-finally 语句无论是否发生异常都将执行最后的代码。




以下实例中 finally 语句无论异常是否发生都会执行:


实例

try:

    runoob()

except AssertionError as error:

    print(error)

else:

    try:

        with open('file.log') as file:

            read_data = file.read()

    except FileNotFoundError as fnf_error:

        print(fnf_error)

finally:

    print('这句话,无论异常是否发生都会执行。')

抛出异常

Python 使用 raise 语句抛出一个指定的异常。


raise语法格式如下:


raise [Exception [, args [, traceback]]]



以下实例如果 x 大于 5 就触发异常:


x = 10

if x > 5:

    raise Exception('x 不能大于 5。x 的值为: {}'.format(x))

执行以上代码会触发异常:


Traceback (most recent call last):

  File "test.py", line 3, in <module>

    raise Exception('x 不能大于 5。x 的值为: {}'.format(x))

Exception: x 不能大于 5。x 的值为: 10

raise 唯一的一个参数指定了要被抛出的异常。它必须是一个异常的实例或者是异常的类(也就是 Exception 的子类)。


如果你只想知道这是否抛出了一个异常,并不想去处理它,那么一个简单的 raise 语句就可以再次把它抛出。


>>> try:

        raise NameError('HiThere')

    except NameError:

        print('An exception flew by!')


永春设计网页公司

想要咨询,请留言,我们的工作人员将尽快与您联系!
  
400-111-6878
服务热线
在线留言
在线咨询
预约专家
顶部

备案号: 苏ICP备11067224号

CopyRight © 2021 上往建站 All Right Reserved 未经许可不得复制转载

24小时服务热线:400-111-6878   E-MAIL:1120768800@qq.com   QQ:1120768800

  网址: https://www.768800.com

关键词: 网站建设| 域名邮箱| 服务器空间| 网站推广| 上往建站| 网站制作| 网站设计| 域名注册| 网络营销| 网站维护|

企业邮箱| 虚拟主机| 网络建站| 网站服务| 网页设计| 网店美工设计| 网站定制| 企业建站| 网站设计制作| 网页制作公司|

400电话办理| 书生商友软件| 苏州网站建设| 调温纤维| 海洋馆运营维护|

预约专家

欢迎您免费咨询,请填写以下信息,我们收到后会尽快与您联系

  

服务热线:400-111-6878